#pragma once
#include "colorstatic.h"
#include "afxwin.h"


// CDlg_Ventilation dialog

class CDlg_Ventilation : public CDialog
{
	DECLARE_DYNAMIC(CDlg_Ventilation)

public:
	CDlg_Ventilation(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_Ventilation();

// Dialog Data
	enum { IDD = IDD_VENTILATION };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	virtual BOOL OnInitDialog();
	afx_msg void AddStringsForVentilationDlg();
	afx_msg void EnableOrDisableControlsBasedOnDesignAirPerm();
	afx_msg void ReadInputsFromVentilationDlg();
	afx_msg void DisplayValuesForVentilationDlg();

	DECLARE_MESSAGE_MAP()
public:
	CColorStatic m_labelAirPermeability;
	CColorStatic m_labelNumOfChimneysAndFlues;
	CColorStatic m_labelNumOfPassiveVentsnFans;
	CColorStatic m_labelMechVentilation;
	CColorStatic m_labelAirCond;
	CColorStatic m_labelCSH;	
	CColorStatic m_labelPer;	
	CColorStatic m_labelSuspFloorInf;
	CColorStatic m_labelSFPunit;
	CColorStatic m_labelSFPinfo;
	CStatic m_labelMechVentEff;
	CStatic m_labelSFP;

	CComboBox m_comboDesignAirPerm;
	CComboBox m_comboPressureTestScot;
	CComboBox m_comboAccreditedDetailsScot;
	CComboBox m_comboseekExemption;
	CComboBox m_comboIsAirPermMeasured;
	CComboBox m_comboAsBuiltTestDate;
	CComboBox m_comboDraughtLobby;
	CComboBox m_comboMechVentType;
	CComboBox m_comboMechVentValuesFrom;
	CComboBox m_comboNumsWetRooms;
	CComboBox m_comboDuctInsulation;
	CComboBox m_comboACPresent;

	CEdit m_editDesignAirPermRate;
	CEdit m_editAsBuiltAirPermRate;
	CEdit m_editAsBuiltRef;
	CEdit m_editNumsOpenFirePlaces;
	CEdit m_editNumsFluelessGasFires;
	CEdit m_editNumsOpenFlues;
	CEdit m_editNumsExtractFans;
	CEdit m_editNumsPassiveVents;
	CEdit m_editACenergyUse;

	CString str_comboDesignAirPerm;
	CString str_comboPressureTestScot;
	CString str_comboAccreditedDetailsScot;
	CString str_comboseekExemption;
	CString str_editDesignAirPermRate;
	CString str_editAsBuiltAirPermRate;
	CString str_comboIsAirPermMeasured;
	CString str_editAsBuiltRef;
	CString str_comboAsBuiltTestDate;
	CString str_comboDraughtLobby;

	CString str_comboMechVentType;
	CString str_comboMechVentValuesFrom;
	CString str_comboNumsWetRooms;
	CString str_comboDuctInsulation;

	CString str_editNumsOpenFirePlaces;
	CString str_editNumsOpenFlues;
	CString str_editNumsFluelessGasFires;

	CString str_editNumsExtractFans;
	CString str_editNumsPassiveVents;

	CString str_comboACPresent;
	CString str_editACenergyUse;

	CEdit m_editMeasuredq50;
	CEdit m_editNumOfStoreys;
	CEdit m_editVentEff;
	CEdit m_editSFP;

	CComboBox m_comboPressTest;
	CComboBox m_comboStructInf;
	CComboBox m_comboFloorInf;
	CComboBox m_comboPerDraughtStripped;
	CComboBox m_comboNumShelteredSides;
	
	CString str_comboPressTest;	
	CString str_editMeasuredq50;	
	CString str_editNumOfStoreys;	
	CString str_comboStructInf;	
	CString str_comboFloorInf;	
	CString str_comboPerDraughtStripped;	
	CString str_editVentEff;	
	CString str_editSFP;	
	CString str_comboNumShelteredSides;	

	afx_msg void OnCbnSelchangeComboDesignairpermeability();
	afx_msg void OnCbnSelchangeComboPressuretestscotland();
	afx_msg void OnCbnSelchangeComboaccrediteddetailsscotland();
	afx_msg void OnCbnSelchangeComboSeekexemption();
	afx_msg void OnEnChangeEditDesairpermeabilityrate();
	afx_msg void OnEnChangeEditasbuiltairpermrate();
	afx_msg void OnCbnSelchangeComboMeasuredinthisdwelling();
	afx_msg void OnEnChangeEditAsbuiltref();
	afx_msg void OnCbnSelchangeComboAsbuilttestdate();
	afx_msg void OnCbnSelchangeComboDraughtlobby();
	afx_msg void OnCbnSelchangeComboMechvent();
	afx_msg void OnCbnSelchangeComboValuesfrom();
	afx_msg void OnCbnSelchangeComboNumofwetrooms();
	afx_msg void OnCbnSelchangeComboDuctinsulation();
	afx_msg void OnEnChangeEditOpenfireplaces();
	afx_msg void OnEnChangeEditFluelessgasfires();
	afx_msg void OnEnChangeEditOpenflues();
	afx_msg void OnEnChangeEditNumextractfans();
	afx_msg void OnEnChangeEditNumpassivevents();
	afx_msg void OnCbnSelchangeComboAcpresent();
	afx_msg void OnEnChangeEditAcenergyuse();
	afx_msg void OnCbnSelchangeCombo1();
	afx_msg void OnCbnSelchangeCombo12();
	afx_msg void OnCbnSelchangeCombo13();
	afx_msg void OnCbnSelchangeCombo15();
	afx_msg void OnEnChangeEdit1();
	afx_msg void OnEnChangeEdit2();
	afx_msg void OnEnChangeEdit4();
	afx_msg void OnEnChangeEdit3();
	virtual BOOL PreTranslateMessage(MSG* pMsg);	
	CColorStatic m_labelMeasuredQ50;
	CColorStatic m_labelNumStoreys;
	CColorStatic m_labelStructInf;
	CColorStatic m_labelDraughtLobby;
	CColorStatic m_labelPerWindows;
};


